UniqueAttributesImpl (Apache Tomcat 8.5.83 API Documentation)

Package org.apache.jasper.util

## Class UniqueAttributesImpl

- java.lang.Object
- - org.xml.sax.helpers.AttributesImpl
  - - org.apache.jasper.util.UniqueAttributesImpl

- All Implemented Interfaces:
    `org.xml.sax.Attributes`

      public class UniqueAttributesImpl
      extends org.xml.sax.helpers.AttributesImpl

  Wraps the default attributes implementation and ensures that each attribute has a unique qname as required by the JSP specification.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UniqueAttributesImpl()` |
    `UniqueAttributesImpl​(boolean pageDirective)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addAttribute​(java.lang.String uri, java.lang.String localName, java.lang.String qName, java.lang.String type, java.lang.String value)` |
    `void` | `clear()` |
    `void` | `removeAttribute​(int index)` |
    `void` | `setAttribute​(int index, java.lang.String uri, java.lang.String localName, java.lang.String qName, java.lang.String type, java.lang.String value)` |
    `void` | `setAttributes​(org.xml.sax.Attributes atts)` |
    `void` | `setQName​(int index, java.lang.String qName)` |

    - ### Methods inherited from class org.xml.sax.helpers.AttributesImpl

      `getIndex, getIndex, getLength, getLocalName, getQName, getType, getType, getType, getURI, getValue, getValue, getValue, setLocalName, setType, setURI, setValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UniqueAttributesImpl

          public UniqueAttributesImpl()

    - #### UniqueAttributesImpl

          public UniqueAttributesImpl​(boolean pageDirective)

  - ### Method Detail

    - #### clear

          public void clear()

      Overrides:
        `clear` in class `org.xml.sax.helpers.AttributesImpl`

    - #### setAttributes

          public void setAttributes​(org.xml.sax.Attributes atts)

      Overrides:
        `setAttributes` in class `org.xml.sax.helpers.AttributesImpl`

    - #### addAttribute

          public void addAttribute​(java.lang.String uri,
                                   java.lang.String localName,
                                   java.lang.String qName,
                                   java.lang.String type,
                                   java.lang.String value)

      Overrides:
        `addAttribute` in class `org.xml.sax.helpers.AttributesImpl`

    - #### setAttribute

          public void setAttribute​(int index,
                                   java.lang.String uri,
                                   java.lang.String localName,
                                   java.lang.String qName,
                                   java.lang.String type,
                                   java.lang.String value)

      Overrides:
        `setAttribute` in class `org.xml.sax.helpers.AttributesImpl`

    - #### removeAttribute

          public void removeAttribute​(int index)

      Overrides:
        `removeAttribute` in class `org.xml.sax.helpers.AttributesImpl`

    - #### setQName

          public void setQName​(int index,
                               java.lang.String qName)

      Overrides:
        `setQName` in class `org.xml.sax.helpers.AttributesImpl`